//=======================================================================
// DingMee Translator
// URLs: http://chrm.info/cms/dingmee-translator
// Copyright (C) 2012, Christoph Maciejewski
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//=======================================================================

#ifndef COMMON_H
#define COMMON_H

#define DE_EN 0
#define EN_ES 1
#define EN_PL 2
#define EN_IT 3
#define EN_RU 4
#define EN_FI 5
#define EN_CMN 6
#define EN_JA 7
#define EN_FR 8
#define EN_ARB 9
#define EN_CS 10
#define EN_SV 11
#define EN_EL 12
#define EN_HE 13
#define EN_PT 14
#define EN_HU 15
#define ES_DE 16
#define DE_PL 17
#define DE_FR 18
#define DE_IT 19
#define RU_HE 20
#define RU_PL 21
#define EN_NO 22
#define EN_RO 23
#define EN_TR 24
#define EN_HI 25
#define DE_TR 26
#define DE_CMN 27
#define IT_FR 28
#define ES_FR 29
#define EN_KO 30
#define EN_VI 31

#define SUPPORTED_LANGUAGES 32

#define RELEASE "0.1.7"

#endif // COMMON_H
